Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.behavioral.observer.problems.leak
Class MemoryLeakSubscriberTest

    java.lang.Object
      ru.rsdn.patterns.behavioral.observer.Subscriber
          ru.rsdn.patterns.behavioral.observer.problems.leak.MemoryLeakSubscriberTest

All Implemented Interfaces:
  ISubscriber

    public class MemoryLeakSubscriberTest

extends Subscriber

Тестирование подписчика, который может привести к утечке памяти, и пересмотр его кода

Field Summary
`private InitNotifyPublisher` | `publisher`

Constructor Summary
`MemoryLeakSubscriberTest()`

Method Summary
`void` | `memoryLeakTest()` Тестирование утечки памяти
`void` | `memoryNormTest()` Тестирование отсутствия утечки памяти
`void` | `printFile(java.lang.String file)` Распечатать содержимое файла
`void` | `unversedPrintFile(java.lang.String file)` Неграмотная реализация печати содержимого файла

Methods inherited from class ru.rsdn.patterns.behavioral.observer.Subscriber
`eventHappen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### publisher

    private final InitNotifyPublisher publisher

Constructor Detail

### MemoryLeakSubscriberTest

    public MemoryLeakSubscriberTest()

Method Detail

### unversedPrintFile

    public void unversedPrintFile(java.lang.String file)
                           throws java.io.IOException

  Неграмотная реализация печати содержимого файла

  Parameters:
    `file` - путь
  Throws:
    `java.io.IOException`

### memoryLeakTest

    public void memoryLeakTest()

  Тестирование утечки памяти

### printFile

    public void printFile(java.lang.String file)
                   throws java.io.IOException

  Распечатать содержимое файла

  Parameters:
    `file` - путь
  Throws:
    `java.io.IOException`

### memoryNormTest

    public void memoryNormTest()

  Тестирование отсутствия утечки памяти

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD